import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnProjectDeploy } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-03 17:17
 */
interface CnProjectDeployCU extends ConditionUtil<CnProjectDeployCU> {
    ID: FieldUtil<CnProjectDeployCU>;
    SERVICE_CENTER_ID: FieldUtil<CnProjectDeployCU>;
    SERVICE_CENTER_NAME: FieldUtil<CnProjectDeployCU>;
    APP_ID: FieldUtil<CnProjectDeployCU>;
    APP_NAME: FieldUtil<CnProjectDeployCU>;
    ENV_ID: FieldUtil<CnProjectDeployCU>;
    ENV_CODE: FieldUtil<CnProjectDeployCU>;
    K8S_ID: FieldUtil<CnProjectDeployCU>;
    K8S_NAME: FieldUtil<CnProjectDeployCU>;
    PROJECT_ID: FieldUtil<CnProjectDeployCU>;
    GATEWAY_ID: FieldUtil<CnProjectDeployCU>;
    PROJECT_VERSION: FieldUtil<CnProjectDeployCU>;
    IMAGE_INFO: FieldUtil<CnProjectDeployCU>;
    START_SCRIPT: FieldUtil<CnProjectDeployCU>;
    OSS_FILE_NAME: FieldUtil<CnProjectDeployCU>;
    ENV_JSON: FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_ID: FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_ID: FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_NAME: FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_NAME: FieldUtil<CnProjectDeployCU>;
    MIN_INSTANCE: FieldUtil<CnProjectDeployCU>;
    MAX_INSTANCE: FieldUtil<CnProjectDeployCU>;
    CPU: FieldUtil<CnProjectDeployCU>;
    MEMORY: FieldUtil<CnProjectDeployCU>;
    APP_OPTIONS_CONFIG: FieldUtil<CnProjectDeployCU>;
    KAFKA_CONFIG: FieldUtil<CnProjectDeployCU>;
    KAFAK_ID: FieldUtil<CnProjectDeployCU>;
    DEPLOY_STATUS: FieldUtil<CnProjectDeployCU>;
    DEPLOY_MSG: FieldUtil<CnProjectDeployCU>;
    DEPLOY_TAG: FieldUtil<CnProjectDeployCU>;
    DELETED: FieldUtil<CnProjectDeployCU>;
    CREATE_USER_ID: FieldUtil<CnProjectDeployCU>;
    CREATE_TIME: FieldUtil<CnProjectDeployCU>;
    UPDATE_USER_ID: FieldUtil<CnProjectDeployCU>;
    UPDATE_TIME: FieldUtil<CnProjectDeployCU>;
    HEALTHY_URL: FieldUtil<CnProjectDeployCU>;
    GRAY_SCALE: FieldUtil<CnProjectDeployCU>;
}
declare class CnProjectDeployMU extends TableUtilImpl<CnProjectDeployCU, CnProjectDeploy> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnProjectDeployCU;
    static get ID(): FieldUtil<CnProjectDeployCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<CnProjectDeployCU>;
    static get APP_ID(): FieldUtil<CnProjectDeployCU>;
    static get APP_NAME(): FieldUtil<CnProjectDeployCU>;
    static get ENV_ID(): FieldUtil<CnProjectDeployCU>;
    static get ENV_CODE(): FieldUtil<CnProjectDeployCU>;
    static get K8S_ID(): FieldUtil<CnProjectDeployCU>;
    static get K8S_NAME(): FieldUtil<CnProjectDeployCU>;
    static get PROJECT_ID(): FieldUtil<CnProjectDeployCU>;
    static get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>;
    static get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>;
    static get IMAGE_INFO(): FieldUtil<CnProjectDeployCU>;
    static get START_SCRIPT(): FieldUtil<CnProjectDeployCU>;
    static get OSS_FILE_NAME(): FieldUtil<CnProjectDeployCU>;
    static get ENV_JSON(): FieldUtil<CnProjectDeployCU>;
    static get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>;
    static get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>;
    static get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>;
    static get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>;
    static get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>;
    static get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>;
    static get CPU(): FieldUtil<CnProjectDeployCU>;
    static get MEMORY(): FieldUtil<CnProjectDeployCU>;
    static get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>;
    static get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>;
    static get KAFAK_ID(): FieldUtil<CnProjectDeployCU>;
    static get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>;
    static get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>;
    static get DEPLOY_TAG(): FieldUtil<CnProjectDeployCU>;
    static get DELETED(): FieldUtil<CnProjectDeployCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectDeployCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>;
    static get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>;
    static get HEALTHY_URL(): FieldUtil<CnProjectDeployCU>;
    static get GRAY_SCALE(): FieldUtil<CnProjectDeployCU>;
    get ID(): FieldUtil<CnProjectDeployCU>;
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<CnProjectDeployCU>;
    get APP_ID(): FieldUtil<CnProjectDeployCU>;
    get APP_NAME(): FieldUtil<CnProjectDeployCU>;
    get ENV_ID(): FieldUtil<CnProjectDeployCU>;
    get ENV_CODE(): FieldUtil<CnProjectDeployCU>;
    get K8S_ID(): FieldUtil<CnProjectDeployCU>;
    get K8S_NAME(): FieldUtil<CnProjectDeployCU>;
    get PROJECT_ID(): FieldUtil<CnProjectDeployCU>;
    get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>;
    get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>;
    get IMAGE_INFO(): FieldUtil<CnProjectDeployCU>;
    get START_SCRIPT(): FieldUtil<CnProjectDeployCU>;
    get OSS_FILE_NAME(): FieldUtil<CnProjectDeployCU>;
    get ENV_JSON(): FieldUtil<CnProjectDeployCU>;
    get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>;
    get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>;
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>;
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>;
    get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>;
    get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>;
    get CPU(): FieldUtil<CnProjectDeployCU>;
    get MEMORY(): FieldUtil<CnProjectDeployCU>;
    get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>;
    get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>;
    get KAFAK_ID(): FieldUtil<CnProjectDeployCU>;
    get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>;
    get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>;
    get DEPLOY_TAG(): FieldUtil<CnProjectDeployCU>;
    get DELETED(): FieldUtil<CnProjectDeployCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>;
    get CREATE_TIME(): FieldUtil<CnProjectDeployCU>;
    get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>;
    get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>;
    get HEALTHY_URL(): FieldUtil<CnProjectDeployCU>;
    get GRAY_SCALE(): FieldUtil<CnProjectDeployCU>;
}
export { CnProjectDeployMU, CnProjectDeployCU };
